
#include<conio.h>
#include<stdio.h>
#include<iostream.h>

float AS,AX,AY,AZ,X,Y,Z,a,b,c,d,e,f,g,h,i,j,k,l;
 void main()
 {
	 clrscr();
	 printf(" este programa soluciona un sistema de ecuaciones lineales de 3*3\n");
	 printf(" los coeficientes deben ser ingresados de la siguiente forma\n");
	 printf("            aX+bY+cZ=d\n");
	 printf("            eX+fY+gZ=h\n");
	 printf("            iX+jY+kZ=l\n\n");
		cout<<"digite el coeficiente a:";
	 cin>>a;

		cout<<"\n\n digite el coeficiente b:";
	 cin>>b;

		cout<<"\n\n digite el coeficiente c:";
	 cin>>c;
		 cout<<"\n\n digite el coeficiente d:";
	 cin>>d;
		 cout<<"\n\n digite el coeficiente e:";
	 cin>>e;
		 cout<<"\n\n digite el coeficiente f:";
	 cin>>f;
		 cout<<"\n\n digite el coeficiente g:";
	 cin>>g;
		 cout<<"\n\n digite el coeficiente h:";
	 cin>>h;
		 cout<<"\n\n digite el coeficiente i:";
	 cin>>i;
		 cout<<"\n\n digite el coeficiente j:";
	 cin>>j;
		 cout<<"\n\n digite el coeficiente k:";
	 cin>>k;
		 cout<<"\n\n digite el coeficiente l:";
	 cin>>l;



	 AS=(a*f*k)-(a*g*j)-(b*e*k)+(b*g*i)+(c*e*j)-(c*f*i);
	 AX=(d*f*k)-(d*g*j)-(b*h*k)+(b*g*l)+(c*h*j)-(c*f*l);
	 AY=(a*h*k)-(a*g*l)-(d*e*l)+(d*g*i)+(c*e*l)-(c*h*i);
	 AZ=(a*f*l)-(a*h*j)-(b*e*l)+(b*h*i)+(d*e*j)-(d*f*i);

	 X=AX/AS;
	 printf("el valor de X es :%f\n\n",X);

	 Y=(AY/AS);
	 printf("el valor de Y es :%f\n\n",Y);

	 Z=(AZ/AS);
	 printf("el valor de Z es :%f\n\n",Z);
	 getch();
	 }